com.io7m.jpra.model.types

## Class TFloat

- java.lang.Object
- - com.io7m.jpra.model.types.TFloat

- All Implemented Interfaces:
    ModelElementType, TType, TypeScalarType

      @Immutable
      public final class TFloat
      extends Object
      implements TypeScalarType

  A floating point type expression.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFloat(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> in_lex, Size<SizeUnitBitsType> in_size)` Construct a `float` type expression.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>>` | `getLexicalInformation()` Fetch the lexical information for the element.
    `Size<SizeUnitBitsType>` | `getSizeInBits()`
    `<A,E extends Exception> A` | `matchType(TypeMatcherType<A,E> m)` Accept a matcher.
    `<A,E extends Exception> A` | `matchTypeScalar(TypeScalarMatcherType<A,E> m)` Accept a matcher.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TFloat

          public TFloat(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> in_lex,
                        Size<SizeUnitBitsType> in_size)

      Construct a `float` type expression.
      Parameters:
        `in_lex` - Lexical information
        `in_size` - The size in bits that will be used

  - ### Method Detail

    - #### getSizeInBits

          public Size<SizeUnitBitsType> getSizeInBits()

      Specified by:
        `getSizeInBits` in interface `TType`
      Returns:
        An expression denoting the size in bits of the type

    - #### matchType

          public <A,E extends Exception> A matchType(TypeMatcherType<A,E> m)
                                              throws E extends Exception

      Description copied from interface: `TType`
      Accept a matcher.
      Specified by:
        `matchType` in interface `TType`
      Type Parameters:
        `A` - The type of returned values
        `E` - The type of raised exceptions
      Parameters:
        `m` - The matcher
      Returns:
        The value returned by `m`
      Throws:
        `E` - If `m` raises `E`
        `E extends Exception`

    - #### matchTypeScalar

          public <A,E extends Exception> A matchTypeScalar(TypeScalarMatcherType<A,E> m)
                                                    throws E extends Exception

      Description copied from interface: `TypeScalarType`
      Accept a matcher.
      Specified by:
        `matchTypeScalar` in interface `TypeScalarType`
      Type Parameters:
        `A` - The type of returned values
        `E` - The type of raised exceptions
      Parameters:
        `m` - The matcher
      Returns:
        The value returned by `m`
      Throws:
        `E` - If `m` raises `E`
        `E extends Exception`

    - #### getLexicalInformation

          public Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> getLexicalInformation()

      Description copied from interface: `ModelElementType`
      Fetch the lexical information for the element. This is used to localize error messages to a position in a file when referring to specific elements.
      Specified by:
        `getLexicalInformation` in interface `ModelElementType`
      Returns:
        The original lexical information, if any

Copyright © 2015 <code@io7m.com> http://io7m.com